Return
Return provides access to the return order resource. A return is raised when a trade order is returned in part ofr whole.
By default the Return resource will return the related Return Item.
Example of a return object with items included
{
"response": {
"Page": 1,
"PageCount": 543,
"RecordsSent": 1,
"RecordsFound": 543,
"ReturnItem": [
{
"id": 1,
"Sequence": 1,
"SKU": "MEPTP28188",
"return_id": 2,
"supplier_id": 0,
"Supplier_Code": "",
"Price": 22,
"Quantity": 1,
"Value": 22,
"Discount": 0,
"Detail": {
"Article": "NOIZE JEAN",
"ColourCode": "188",
"ColourName": "BLACK ROCK",
"Brand": "Mens Core",
"ProductGroup": "DENIM",
"Reason Code": 1,
"Reason": "SIZING - TOO SMALL",
"Action Code": 2,
"Action": "Wastage",
"Supplier": 0,
"Location": "C000",
"Order Num": "",
"Order RSN": 0,
"Order Item RSN": 0,
"Sizes": [
{
"SKUSize": "MEPTP28188 B",
"Size": "28",
"Qty": 1,
"SizeSort": 2
}
]
}
}
]
}
}
Return Properties
| Property | Example | Description |
|---|---|---|
| id | 1300 | Unique id of the order |
| supplier_id | 1092 | Customer id |
| contact_id | "01298" | Order number created by i.Level (Read Only) |
| invoice_id | "4703122564" | Order reference can be passed in. If passed it will be used with the Order_Source to check uniqueness |
| Customer_Code | "SHOPIFY" Order source | |
| Supplier_Code | "4703122564" Marketplace reference. | |
| Order_Number | "2017-01-12T00:00:00.000Z" Creation date of the order | |
| Trade_Name | "Pending_Scan" Primary status for the order | |
| Action_Code | "paid" Web/marketplace order status | |
| Action | "2017-01-17T00:00:00.000Z" Required delivery date | |
| Reason_Code | "0000-00-00T00:00:00.000Z" Estimated delivery date | |
| Reason | "Ameer Jones" Delivery customer name |
Quantity 1 Total quantity of items returned Value 22 Total value for the return Stock_Location "Hackney" Delivery address line 3 Status "London" Delivery address line 4 Return_To_Stock "HA453PQ" Delivery postcode Return_Date "GB" Delivery address country code Return_Currency "United Kingdom" Delivery address country name Items [] Array of return items see Return Item resource
Return Methods
GET /api/return
Returns all returns in the system with all published fields.
ShowZeros Custom Parameter
The ShowZeros parameter can be used to display sizes for the return item that have a zero quantity in them. By default the behaviour is to return only sizes that have a non zero quantity.